function SearchUninstall($SearchFor, $SearchVersion, $UninstallKey)
{
$uninstallObjects = ls -path $UninstallKey;
$found = $FALSE;

foreach($uninstallEntry in  $uninstallObjects)
{
   $entryProperty = Get-ItemProperty -LiteralPath registry::$uninstallEntry
   if($entryProperty.DisplayName -like $searchFor)
    {
	   if($entryProperty.DisplayVersion -le $searchVersion)
	   {
         $found = $TRUE;
         break;
	   }
    }
}

$found;
}

$res1 = SearchUninstall -SearchFor 'Windows Azure Tools for Microsoft Visual Studio 2008*' -SearchVersion '1.2.30517.1601' -UninstallKey 'HKLM:SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\';
$res2 = SearchUninstall -SearchFor 'Windows Azure Tools for Microsoft Visual Studio 2008*' -SearchVersion '1.2.30517.1601' -UninstallKey 'HKLM:SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\';

$res3 = SearchUninstall -SearchFor 'Windows Azure SDK*' -SearchVersion '1.2.10512.1409' -UninstallKey 'HKLM:SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\';
$res4 = SearchUninstall -SearchFor 'Windows Azure SDK*' -SearchVersion '1.2.10512.1409' -UninstallKey 'HKLM:SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\';

(($res1 -or $res2) -and ($res3 -or $res4))