function SearchUninstall($SearchFor, $SearchVersion, $UninstallKey)
{
$uninstallObjects = ls -path $UninstallKey;
$found = $FALSE;

foreach($uninstallEntry in  $uninstallObjects)
{
   $entryProperty = Get-ItemProperty -LiteralPath registry::$uninstallEntry
   if($entryProperty.DisplayName -like $searchFor)
    {
		$vc1 = new-Object System.Version($entryProperty.DisplayVersion);
		$vc2 = new-Object System.Version($searchVersion);
		   
		if($vc1.CompareTo($vc2) -ne -1)
		{
			$found = $TRUE;
			break;
		}		
    }
}

$found;
}

$res1 = SearchUninstall -SearchFor 'Internet Information Services (IIS) 7 Manager' -SearchVersion '7.0.0.0' -UninstallKey 'HKLM:SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\';
$res2 = SearchUninstall -SearchFor 'Internet Information Services (IIS) 7 Manager' -SearchVersion '7.0.0.0' -UninstallKey 'HKLM:SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\';

$res = (($res1 -eq $true) -or ($res2 -eq $true));

$res3 = ((Test-Path 'HKLM:SOFTWARE\Wow6432Node\Microsoft\Inetmgr\7.0') -or (Test-Path 'HKLM:SOFTWARE\Microsoft\Inetmgr\7.0'))

(($res -eq $true) -or ($res3 -eq $true));