function searchSnapIn($registryPath, $name, $version) {
    $snapins = ls -path $registryPath;
    $found = $FALSE;
    
    foreach($snapin in $snapins)
    {
        $entryProperty = Get-ItemProperty -LiteralPath registry::$snapin
        
        if($entryProperty.AssemblyName -like $name)
        {
            if($entryProperty.DisplayName -like $searchFor)
			{
			   $vc1 = new-Object System.Version($entryProperty.Version);
			   $vc2 = new-Object System.Version($version);
			   
			   if($vc1.CompareTo($vc2) -ne -1)
			   {
					$found = $TRUE;
					break;
			   }
			}
        }
    }

    $found;
}

$result = searchSnapIn -name 'Microsoft.Samples.AzureManagementTools.PowerShell*' -version '1.1.3971.29661' -registryPath 'HKLM:SOFTWARE\Microsoft\PowerShell\1\PowerShellSnapIns\';

$result;