function SearchUninstall($SearchFor, $SearchVersion, $UninstallKey)
{
$uninstallObjects = ls -path $UninstallKey;
$found = $FALSE;

[reflection.assembly]::LoadWithPartialName("System.Version");

foreach($uninstallEntry in  $uninstallObjects)
{
   $entryProperty = Get-ItemProperty -LiteralPath registry::$uninstallEntry
   if($entryProperty.DisplayName -like $searchFor)
    {
	   $vc1 = new-Object System.Version($entryProperty.DisplayVersion);
       $vc2 = new-Object System.Version($searchVersion);
       
       if($vc1.CompareTo($vc2) -ne -1)
	   {
         $found = $TRUE;
         break;
	   }
    }
}

$found;
}

$res1 = SearchUninstall -SearchFor 'Windows Identity Foundation SDK 4.0' -SearchVersion '6.1.7600.16436' -UninstallKey 'HKLM:SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\';
$res2 = SearchUninstall -SearchFor 'Windows Identity Foundation SDK 4.0' -SearchVersion '6.1.7600.16436' -UninstallKey 'HKLM:SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\';
(($res1 -eq $true) -or ($res2 -eq $true));
