function Check-RegistryValue($PropertyPath, $PropertyName, $PropertyValue)
{
	if ((Test-Path -path $PropertyPath) -ne $True) 
	{
		return $FALSE;
	}

	$found = $FALSE;
    
    $entryProperty = Get-ItemProperty -path $PropertyPath

    if($entryProperty.psobject.Properties -ne $null)
    {
        $registryValue = $entryProperty.psobject.Properties[$PropertyName].value;

        if($registryValue -eq $PropertyValue)
        {
            $found = $TRUE;
        }
    }

    $found;
}

function Check-RegistryValueInChilds($PropertyPath, $PropertyName, $PropertyValue)
{
	if ((Test-Path -path $PropertyPath) -ne $True) 
	{
		return $FALSE;
	}

	$installObjects = ls -path $PropertyPath;
	$found = $FALSE;
    
    foreach($installEntry in $installObjects)
	{
        if (Check-RegistryValue -PropertyPath registry::$installEntry -PropertyName $PropertyName -PropertyValue $PropertyValue)
		{
            $found = $TRUE;
            break;
        }
        
	}

	$found;
}

$isInstalled = Check-RegistryValue -PropertyPath 'HKLM:SOFTWARE\Microsoft\IIS Extensions\URL Rewrite' -PropertyName 'Install' -PropertyValue '1'
$isCorrectVersion = Check-RegistryValue -PropertyPath 'HKLM:SOFTWARE\Microsoft\IIS Extensions\URL Rewrite' -PropertyName 'Version' -PropertyValue '7.1.0761.0'

$isInstalled -and $isCorrectVersion