﻿' ----------------------------------------------------------------------------------
' Microsoft Developer & Platform Evangelism
' 
' Copyright (c) Microsoft Corporation. All rights reserved.
' 
' THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
' EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
' OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
' ----------------------------------------------------------------------------------
' The example companies, organizations, products, domain names,
' e-mail addresses, logos, people, places, and events depicted
' herein are fictitious.  No association with any real company,
' organization, product, domain name, email address, logo, person,
' places, or events is intended or should be inferred.
' ----------------------------------------------------------------------------------

<HandleError()> _
Public Class HomeController
    Inherits System.Web.Mvc.Controller

    Function About() As ActionResult
        Return View()
    End Function

    Function Index() As ActionResult
        Dim products = TryCast(Me.HttpContext.Application("Products"), List(Of String))
        Dim itemsInSession = If(TryCast(Me.Session("Cart"), List(Of String)), New List(Of String)())

        ' add all products currently not in session
        Dim filteredProducts = products.Where(Function(item) (Not itemsInSession.Contains(item)))

        ' Add additional filters here

        Return View(filteredProducts)
    End Function

    <AcceptVerbs(HttpVerbs.Post)> _
    Public Function Add(ByVal selectedItem As String) As ActionResult
        If selectedItem IsNot Nothing Then
            Dim cart As List(Of String) = If(TryCast(Me.Session("Cart"), List(Of String)), New List(Of String)())
            cart.Add(selectedItem)
            Session("Cart") = cart
        End If

        Return RedirectToAction("Index")
    End Function

    Public Function Checkout() As ActionResult
        Dim itemsInSession = If(TryCast(Me.Session("Cart"), List(Of String)), New List(Of String)())
        Return View(itemsInSession)
    End Function

    <AcceptVerbs(HttpVerbs.Post)> _
    Public Function Remove(ByVal selectedItem As String) As ActionResult
        If selectedItem IsNot Nothing Then
            Dim itemsInSession = TryCast(Me.Session("Cart"), List(Of String))
            If itemsInSession IsNot Nothing Then
                itemsInSession.Remove(selectedItem)
            End If
        End If

        Return RedirectToAction("Checkout")
    End Function

End Class
