﻿' ----------------------------------------------------------------------------------
' Microsoft Developer & Platform Evangelism
' 
' Copyright (c) Microsoft Corporation. All rights reserved.
' 
' THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
' EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
' OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
' ----------------------------------------------------------------------------------
' The example companies, organizations, products, domain names,
' e-mail addresses, logos, people, places, and events depicted
' herein are fictitious.  No association with any real company,
' organization, product, domain name, email address, logo, person,
' places, or events is intended or should be inferred.
' ----------------------------------------------------------------------------------

Public Partial Class Products
    Inherits System.Web.UI.Page

    Protected Sub Page_Init() Handles Me.Init
        Dim products = TryCast(Me.Application("Products"), List(Of String))
        Dim itemsInSession = If(TryCast(Me.Session("Cart"), List(Of String)), New List(Of String)())

        ' add all products currently not in session
        Dim filteredProducts = products.Where(Function(item) (Not itemsInSession.Contains(item)))

        ' Add additional filters here

        For Each product In filteredProducts
            Me.products.Items.Add(product)
        Next
    End Sub

    Protected Sub AddItem_Click()
        Dim selectedItem As ListItem = Me.products.SelectedItem
        If selectedItem IsNot Nothing Then
            Dim cart As List(Of String) = If(TryCast(Me.Session("Cart"), List(Of String)), New List(Of String)())
            cart.Add(Me.products.SelectedItem.ToString())
            Me.products.Items.Remove(selectedItem)
            Session("Cart") = cart
        End If
    End Sub

End Class