﻿// ----------------------------------------------------------------------------------
// Microsoft Developer & Platform Evangelism
// 
// Copyright (c) Microsoft Corporation. All rights reserved.
// 
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
// OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
// ----------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
// ----------------------------------------------------------------------------------

namespace Microsoft.Samples.AzureManagementTools.PowerShell.Model
{
    using System;
    using System.Collections.Generic;

    public class HostedServiceContext : ManagementOperationContext
    {
        private Microsoft.Samples.WindowsAzure.ServiceManagement.HostedService innerService;

        public HostedServiceContext(Microsoft.Samples.WindowsAzure.ServiceManagement.HostedService innerService)
        {
            this.innerService = innerService;
        }

        public Uri Url
        {
            get
            {
                return this.innerService.Url;
            }
        }

        public string AffinityGroup
        {
            get
            {
                return this.innerService.HostedServiceProperties.AffinityGroup;
            }
        }

        public string Location
        {
            get
            {
                return this.innerService.HostedServiceProperties.Location;
            }
        }

        public string Description
        {
            get 
            {
                return this.innerService.HostedServiceProperties.Description;
            }
        }

        public string Label
        {
            get
            {
                return this.innerService.HostedServiceProperties.Label;
            }
        }
    }
}