﻿' ----------------------------------------------------------------------------------
' Microsoft Developer & Platform Evangelism
' 
' Copyright (c) Microsoft Corporation. All rights reserved.
' 
' THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
' EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
' OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
' ----------------------------------------------------------------------------------
' The example companies, organizations, products, domain names,
' e-mail addresses, logos, people, places, and events depicted
' herein are fictitious.  No association with any real company,
' organization, product, domain name, email address, logo, person,
' places, or events is intended or should be inferred.
' ----------------------------------------------------------------------------------


Imports Microsoft.VisualBasic
Imports System.Collections.Generic
Imports MyTodo.Data.WindowsAzure

Namespace Models

    Public Module DataExtensions
        <System.Runtime.CompilerServices.Extension()> _
        Public Function ToRow(ByVal task As Task) As TaskRow
            Return New TaskRow(task.ListId, task.TaskId) With {.TaskId = task.TaskId, .ListId = task.ListId, .DueDate = task.DueDate, .IsComplete = task.IsComplete, .StartDate = task.StartDate, .Subject = task.Subject}
        End Function

        <System.Runtime.CompilerServices.Extension()> _
        Public Function ToRow(ByVal taskList As TaskList) As TaskListRow
            Return New TaskListRow(taskList.ListId.Substring(0, 1), taskList.ListId) With {.ListId = taskList.ListId, .Name = taskList.Name, .IsPublic = taskList.IsPublic}
        End Function

        <System.Runtime.CompilerServices.Extension()> _
        Public Function ToModel(ByVal row As TaskListRow) As TaskList
            Return New TaskList With {.Name = row.Name, .IsPublic = row.IsPublic}
        End Function

        <System.Runtime.CompilerServices.Extension()> _
        Public Function ToModel(ByVal rows As IEnumerable(Of TaskListRow)) As IEnumerable(Of TaskList)

            Dim taskList As New List(Of TaskList)

            For Each row In rows
                taskList.Add(New TaskList With {.Name = row.Name, .IsPublic = row.IsPublic})
            Next row

            Return taskList
        End Function

        <System.Runtime.CompilerServices.Extension()> _
        Public Function ToModel(ByVal task As TaskRow) As Task
            Return New Task With {.TaskId = task.TaskId, .ListId = task.ListId, .DueDate = task.DueDate, .IsComplete = task.IsComplete, .StartDate = task.StartDate, .Subject = task.Subject}
        End Function

        <System.Runtime.CompilerServices.Extension()> _
        Public Function ToModel(ByVal tasks As IEnumerable(Of TaskRow)) As IEnumerable(Of Task)

            Dim taskList As New List(Of Task)

            For Each task In tasks
                taskList.Add(New Task With {.TaskId = task.TaskId, .ListId = task.ListId, .DueDate = task.DueDate, .IsComplete = task.IsComplete, .StartDate = task.StartDate, .Subject = task.Subject})
            Next task

            Return taskList
        End Function
    End Module

End Namespace