﻿' ----------------------------------------------------------------------------------
' Microsoft Developer & Platform Evangelism
' 
' Copyright (c) Microsoft Corporation. All rights reserved.
' 
' THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
' EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
' OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
' ----------------------------------------------------------------------------------
' The example companies, organizations, products, domain names,
' e-mail addresses, logos, people, places, and events depicted
' herein are fictitious.  No association with any real company,
' organization, product, domain name, email address, logo, person,
' places, or events is intended or should be inferred.
' ----------------------------------------------------------------------------------

Imports MyTodo.WebUx.Models

<HandleError()> _
Public Class HomeController
    Inherits Controller
    Private ReadOnly repository As TaskRepository

    Public Sub New()
        Me.New(Nothing)
    End Sub

    Public Sub New(ByVal taskRepository As TaskRepository)
        Me.repository = If(taskRepository, New TaskRepository())
    End Sub

    Public Function Index() As ActionResult
        If Me.repository.TablesExist() AndAlso Roles.RoleExists("Owner") Then
            ViewData.Add("AuthenticatedUser", User.IsInRole("Owner"))
            Return Me.View("Lists")
        Else
            Return Me.View("Welcome")
        End If
    End Function

    Public Function List(ByVal listId As String, ByVal page As String, ByVal row As String) As ActionResult
        Dim _Renamedlist As TaskList = Me.repository.GetTaskList(listId)

        If _Renamedlist IsNot Nothing AndAlso (Request.IsAuthenticated OrElse _Renamedlist.IsPublic) Then
            ViewData.Add("ListId", _Renamedlist.ListId)
            ViewData.Add("ListName", _Renamedlist.Name)
            ViewData.Add("AuthenticatedUser", User.IsInRole("Owner"))
            Return View("Tasks")
        End If

        Return RedirectToAction("Index")
    End Function

    Public Function About() As ActionResult
        Return Me.View()
    End Function
End Class
