@ECHO OFF

SET SourceSqlServerName=[REPLACE_LOCAL_SERVER]
SET SourceSqlDbName=AdventureWorksDW2008R2
SET DestSqlServerName=[REPLACE_SQLAZURE_SERVER]
SET DestSqlDbName=AdventureWorksDW2008R2
SET DestSqlUserName=[REPLACE_USERNAME]
SET DestSqlUserPassword=[REPLACE_PASSWORD]

ECHO ******************************
ECHO Disabling Foreign Key Constraints
ECHO ******************************

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "EXECUTE [dbo].[SetForeignKeyEnabledStatus] 0" -b
IF ERRORLEVEL 1 GOTO ABORT

ECHO ******************************
ECHO Disabling Nonclustered Indexes
ECHO ******************************

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "EXECUTE [dbo].[SetIndexEnabledStatus] 0" -b
IF ERRORLEVEL 1 GOTO ABORT

SET TableName=dbo.DimAccount

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT





SET TableName=dbo.DimCurrency

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT


SET TableName=dbo.DimCustomer

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT


SET TableName=dbo.DimDate

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT


SET TableName=dbo.DimDepartmentGroup

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT


SET TableName=dbo.DimEmployee

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT


SET TableName=dbo.DimGeography

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT


SET TableName=dbo.DimOrganization

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT


SET TableName=dbo.DimProduct

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT


SET TableName=dbo.DimProductCategory

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT


SET TableName=dbo.DimProductSubcategory

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT


SET TableName=dbo.DimPromotion

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT


SET TableName=dbo.DimReseller

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT


SET TableName=dbo.DimSalesReason

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT


SET TableName=dbo.DimSalesTerritory

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT


SET TableName=dbo.DimScenario

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT


SET TableName=dbo.FactAdditionalInternationalProductDescription

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT


SET TableName=dbo.FactCallCenter

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT


SET TableName=dbo.FactCurrencyRate

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT


SET TableName=dbo.FactInternetSales

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT


SET TableName=dbo.FactInternetSalesReason

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT


SET TableName=dbo.FactResellerSales

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT


SET TableName=dbo.FactSalesQuota

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT


SET TableName=dbo.FactSurveyResponse

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT


SET TableName=dbo.ProspectiveBuyer

ECHO ******************************
ECHO Migrating data for %TableName%
ECHO ******************************

bcp %SourceSqlDbName%.%TableName% out %TableName%.dat -n -S %SourceSqlServerName% -T

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "DELETE %TableName%;" -b

bcp %DestSqlDbName%.%TableName% in %TableName%.dat -n -S %DestSqlServerName% -U%DestSqlUserName% -P%DestSqlUserPassword% -E

if exist %TableName%.dat DEL %TableName%.dat
IF ERRORLEVEL 1 GOTO ABORT



ECHO ******************************
ECHO Enabling Nonclustered Indexes
ECHO ******************************

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "EXECUTE [dbo].[SetIndexEnabledStatus] 1" -b
IF ERRORLEVEL 1 GOTO ABORT



ECHO ******************************
ECHO Enabling Foreign Key Constraints
ECHO ******************************

sqlcmd -S %DestSqlServerName% -U %DestSqlUserName% -P %DestSqlUserPassword% -d %DestSqlDbName% -Q "EXECUTE [dbo].[SetForeignKeyEnabledStatus] 1" -b
IF ERRORLEVEL 1 GOTO ABORT
GOTO ENDBATCH

:ABORT

ECHO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
ECHO Batch aborted due to error condition
ECHO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

GOTO ENDBATCH

:ENDBATCH
ECHO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
ECHO Batch execution completed
ECHO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


